/// <reference types="react" />
import { Stage } from '..';
import { Mode } from '../useSwitchTransition/types';
declare type SwitchTransitionProps<S = any> = {
    state: S;
    timeout: number;
    mode: Mode;
    children: (state: S, stage: Stage) => React.ReactNode;
};
export declare function SwitchTransition<S>({ state, timeout, mode, children, }: SwitchTransitionProps<S>): JSX.Element[];
export {};
